io.vertx.reactivex.sqlclient

## Class Row

- java.lang.Object
- - io.vertx.reactivex.sqlclient.Tuple
  - - io.vertx.reactivex.sqlclient.Row

-     public class Row
      extends Tuple

  Represents single row of the result set.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<Row>` | `__TYPE_ARG`
    `static Object` | `JSON_NULL` The JSON null literal value.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Row(Object delegate)`
    `Row(Row delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `BigDecimal[]` | `getArrayOfBigDecimals(String column)` Get an array of value for the given `column`.
    `Boolean[]` | `getArrayOfBooleans(String column)` Get an array of `Boolean` value for the given `column`.
    `Double[]` | `getArrayOfDoubles(String column)` Get an array of `Double` value for the given `column`.
    `Float[]` | `getArrayOfFloats(String column)` Get an array of `Float` value for the given `column`.
    `Integer[]` | `getArrayOfIntegers(String column)` Get an array of `Integer` value for the given `column`.
    `Object[]` | `getArrayOfJsons(String column)` Get an array of JSON elements for the given `column`, the element might be `#JSON_NULL null` or one of the following types: String Number JsonObject JsonArray Boolean
    `java.time.LocalDate[]` | `getArrayOfLocalDates(String column)` Get an array of value for the given `column`.
    `java.time.LocalDateTime[]` | `getArrayOfLocalDateTimes(String column)` Get an array of value for the given `column`.
    `java.time.LocalTime[]` | `getArrayOfLocalTimes(String column)` Get an array of value for the given `column`.
    `Long[]` | `getArrayOfLongs(String column)` Get an array of `Long` value for the given `column`.
    `Numeric[]` | `getArrayOfNumerics(String column)` Get an array of value for the given `column`.
    `java.time.OffsetDateTime[]` | `getArrayOfOffsetDateTimes(String column)` Get an array of value for the given `column`.
    `java.time.OffsetTime[]` | `getArrayOfOffsetTimes(String column)` Get an array of value for the given `column`.
    `Short[]` | `getArrayOfShorts(String column)` Get an array of `Short` value for the given `column`.
    `String[]` | `getArrayOfStrings(String column)` Get an array of `String` value for the given `column`.
    `java.time.temporal.Temporal[]` | `getArrayOfTemporals(String column)` Get an array of value for the given `column`.
    `UUID[]` | `getArrayOfUUIDs(String column)` Get an array of value for the given `column`.
    `BigDecimal` | `getBigDecimal(String column)` Get value for the given `column`.
    `BigDecimal[]` | `getBigDecimalArray(String column)` Deprecated.
    `Boolean` | `getBoolean(String column)` Get a boolean value for the given `column`.
    `Boolean[]` | `getBooleanArray(String column)` Deprecated.
    `Buffer` | `getBuffer(String column)` Get a buffer value for the given `column`.
    `int` | `getColumnIndex(String name)` Get a column position for the given column `name`.
    `String` | `getColumnName(int pos)` Get a column name for the given `column`.
    `Row` | `getDelegate()`
    `Double` | `getDouble(String column)` Get a double value for the given `column`.
    `Double[]` | `getDoubleArray(String column)` Deprecated.
    `Float` | `getFloat(String column)` Get a float value for the given `column`.
    `Float[]` | `getFloatArray(String column)` Deprecated.
    `Integer` | `getInteger(String column)` Get an integer value for the given `column`.
    `Integer[]` | `getIntegerArray(String column)` Deprecated.
    `Object` | `getJson(String column)` Get a JSON element for the given `column`, the element might be `#JSON_NULL null` or one of the following types: String Number JsonObject JsonArray Boolean
    `java.time.LocalDate` | `getLocalDate(String column)` Get `LocalDate` value for the given `column`.
    `java.time.LocalDate[]` | `getLocalDateArray(String column)` Deprecated.
    `java.time.LocalDateTime` | `getLocalDateTime(String column)` Get `LocalDateTime` value for the given `column`.
    `java.time.LocalDateTime[]` | `getLocalDateTimeArray(String column)` Deprecated.
    `java.time.LocalTime` | `getLocalTime(String column)` Get `LocalTime` value for the given `column`.
    `java.time.LocalTime[]` | `getLocalTimeArray(String column)` Deprecated.
    `Long` | `getLong(String column)` Get a long value for the given `column`.
    `Long[]` | `getLongArray(String column)` Deprecated.
    `Numeric` | `getNumeric(String column)` Get a numeric value for the given `column`.
    `Numeric[]` | `getNumericArray(String column)` Deprecated.
    `java.time.OffsetDateTime` | `getOffsetDateTime(String column)` Get `OffsetDateTime` value for the given `column`.
    `java.time.OffsetDateTime[]` | `getOffsetDateTimeArray(String column)` Deprecated.
    `java.time.OffsetTime` | `getOffsetTime(String column)` Get `OffsetTime` value for the given `column`.
    `java.time.OffsetTime[]` | `getOffsetTimeArray(String column)` Deprecated.
    `Short` | `getShort(String column)` Get a short value for the given `column`.
    `Short[]` | `getShortArray(String column)` Deprecated.
    `String` | `getString(String column)` Get a string value for the given `column`.
    `String[]` | `getStringArray(String column)` Deprecated.
    `java.time.temporal.Temporal` | `getTemporal(String column)` Get a temporal value for the given `column`.
    `java.time.temporal.Temporal[]` | `getTemporalArray(String column)` Deprecated.
    `UUID` | `getUUID(String column)` Get `UUID` value for the given `column`.
    `UUID[]` | `getUUIDArray(String column)` Deprecated.
    `Object` | `getValue(String column)` Get an object value for the given `column`.
    `int` | `hashCode()`
    `static Row` | `newInstance(Row arg)`
    `String` | `toString()`

    - ### Methods inherited from class io.vertx.reactivex.sqlclient.Tuple

      `addArrayOfBigDecimal, addArrayOfBoolean, addArrayOfDouble, addArrayOfFloat, addArrayOfInteger, addArrayOfLocalDate, addArrayOfLocalDateTime, addArrayOfLocalTime, addArrayOfLong, addArrayOfOffsetDateTime, addArrayOfOffsetTime, addArrayOfShort, addArrayOfString, addArrayOfTemporal, addArrayOfUUID, addBigDecimal, addBigDecimalArray, addBoolean, addBooleanArray, addBuffer, addDouble, addDoubleArray, addFloat, addFloatArray, addInteger, addIntegerArray, addLocalDate, addLocalDateArray, addLocalDateTime, addLocalDateTimeArray, addLocalTime, addLocalTimeArray, addLong, addLongArray, addOffsetDateTime, addOffsetDateTimeArray, addOffsetTime, addOffsetTimeArray, addShort, addShortArray, addString, addStringArray, addTemporal, addTemporalArray, addUUID, addUUIDArray, addValue, clear, deepToString, get, getArrayOfBigDecimals, getArrayOfBooleans, getArrayOfDoubles, getArrayOfFloats, getArrayOfIntegers, getArrayOfJsons, getArrayOfLocalDates, getArrayOfLocalDateTimes, getArrayOfLocalTimes, getArrayOfLongs, getArrayOfNumerics, getArrayOfOffsetDateTimes, getArrayOfOffsetTimes, getArrayOfShorts, getArrayOfStrings, getArrayOfTemporals, getArrayOfUUIDs, getBigDecimal, getBigDecimalArray, getBoolean, getBooleanArray, getBuffer, getDouble, getDoubleArray, getFloat, getFloatArray, getInteger, getIntegerArray, getJson, getLocalDate, getLocalDateArray, getLocalDateTime, getLocalDateTimeArray, getLocalTime, getLocalTimeArray, getLong, getLongArray, getNumeric, getNumericArray, getOffsetDateTime, getOffsetDateTimeArray, getOffsetTime, getOffsetTimeArray, getShort, getShortArray, getString, getStringArray, getTemporal, getTemporalArray, getUUID, getUUIDArray, getValue, newInstance, of, of, of, of, of, of, size, tuple, tuple, wrap, wrap`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<Row> __TYPE_ARG

    - #### JSON_NULL

          public static final Object JSON_NULL

      The JSON null literal value.
      It is used to distinguish a JSON null literal value from the Java `null` value. This is only used when the database supports JSON types.

  - ### Constructor Detail

    - #### Row

          public Row(Row delegate)

    - #### Row

          public Row(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Tuple`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Tuple`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Tuple`

    - #### getDelegate

          public Row getDelegate()

      Overrides:
        `getDelegate` in class `Tuple`

    - #### getColumnName

          public String getColumnName(int pos)

      Get a column name for the given `column`.
      Parameters:
        `pos` - the column position
      Returns:
        the column name or `null`

    - #### getColumnIndex

          public int getColumnIndex(String name)

      Get a column position for the given column `name`.
      Parameters:
        `name` - the column name
      Returns:
        the column name or `-1` if not found

    - #### getValue

          public Object getValue(String column)

      Get an object value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value

    - #### getBoolean

          public Boolean getBoolean(String column)

      Get a boolean value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value

    - #### getShort

          public Short getShort(String column)

      Get a short value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value

    - #### getInteger

          public Integer getInteger(String column)

      Get an integer value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value

    - #### getLong

          public Long getLong(String column)

      Get a long value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value

    - #### getFloat

          public Float getFloat(String column)

      Get a float value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value

    - #### getDouble

          public Double getDouble(String column)

      Get a double value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value

    - #### getString

          public String getString(String column)

      Get a string value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value

    - #### getJson

          public Object getJson(String column)

      Get a JSON element for the given `column`, the element might be `#JSON_NULL null` or one of the following types:
      - String
      - Number
      - JsonObject
      - JsonArray
      - Boolean
      Parameters:
        `column` - the column name
      Returns:
        the `column` value

    - #### getBuffer

          public Buffer getBuffer(String column)

      Get a buffer value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value

    - #### getNumeric

          public Numeric getNumeric(String column)

      Get a numeric value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value

    - #### getTemporal

          public java.time.temporal.Temporal getTemporal(String column)

      Get a temporal value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value

    - #### getLocalDate

          public java.time.LocalDate getLocalDate(String column)

      Get `LocalDate` value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value

    - #### getLocalTime

          public java.time.LocalTime getLocalTime(String column)

      Get `LocalTime` value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value

    - #### getLocalDateTime

          public java.time.LocalDateTime getLocalDateTime(String column)

      Get `LocalDateTime` value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value

    - #### getOffsetTime

          public java.time.OffsetTime getOffsetTime(String column)

      Get `OffsetTime` value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value

    - #### getOffsetDateTime

          public java.time.OffsetDateTime getOffsetDateTime(String column)

      Get `OffsetDateTime` value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value

    - #### getUUID

          public UUID getUUID(String column)

      Get `UUID` value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value

    - #### getBigDecimal

          public BigDecimal getBigDecimal(String column)

      Get value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value

    - #### getArrayOfBooleans

          public Boolean[] getArrayOfBooleans(String column)

      Get an array of `Boolean` value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value

    - #### getBooleanArray

          @Deprecated
          public Boolean[] getBooleanArray(String column)

      Deprecated.
      Get an array of `Boolean` value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value

    - #### getArrayOfShorts

          public Short[] getArrayOfShorts(String column)

      Get an array of `Short` value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value

    - #### getShortArray

          @Deprecated
          public Short[] getShortArray(String column)

      Deprecated.
      Get an array of `Short` value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value

    - #### getArrayOfIntegers

          public Integer[] getArrayOfIntegers(String column)

      Get an array of `Integer` value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value

    - #### getIntegerArray

          @Deprecated
          public Integer[] getIntegerArray(String column)

      Deprecated.
      Get an array of `Integer` value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value

    - #### getArrayOfLongs

          public Long[] getArrayOfLongs(String column)

      Get an array of `Long` value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value

    - #### getLongArray

          @Deprecated
          public Long[] getLongArray(String column)

      Deprecated.
      Get an array of `Long` value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value

    - #### getArrayOfFloats

          public Float[] getArrayOfFloats(String column)

      Get an array of `Float` value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value

    - #### getFloatArray

          @Deprecated
          public Float[] getFloatArray(String column)

      Deprecated.
      Get an array of `Float` value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value

    - #### getArrayOfDoubles

          public Double[] getArrayOfDoubles(String column)

      Get an array of `Double` value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value

    - #### getDoubleArray

          @Deprecated
          public Double[] getDoubleArray(String column)

      Deprecated.
      Get an array of `Double` value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value

    - #### getArrayOfNumerics

          public Numeric[] getArrayOfNumerics(String column)

      Get an array of value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value

    - #### getNumericArray

          @Deprecated
          public Numeric[] getNumericArray(String column)

      Deprecated.
      Get an array of value for the given `column`.
      Parameters:
        `column` - the column
      Returns:
        the `column` value

    - #### getArrayOfStrings

          public String[] getArrayOfStrings(String column)

      Get an array of `String` value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value

    - #### getStringArray

          @Deprecated
          public String[] getStringArray(String column)

      Deprecated.
      Get an array of `String` value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value

    - #### getArrayOfTemporals

          public java.time.temporal.Temporal[] getArrayOfTemporals(String column)

      Get an array of value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value

    - #### getTemporalArray

          @Deprecated
          public java.time.temporal.Temporal[] getTemporalArray(String column)

      Deprecated.
      Get an array of value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value

    - #### getArrayOfLocalDates

          public java.time.LocalDate[] getArrayOfLocalDates(String column)

      Get an array of value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value

    - #### getLocalDateArray

          @Deprecated
          public java.time.LocalDate[] getLocalDateArray(String column)

      Deprecated.
      Get an array of value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value

    - #### getArrayOfLocalTimes

          public java.time.LocalTime[] getArrayOfLocalTimes(String column)

      Get an array of value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value

    - #### getLocalTimeArray

          @Deprecated
          public java.time.LocalTime[] getLocalTimeArray(String column)

      Deprecated.
      Get an array of value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value

    - #### getArrayOfLocalDateTimes

          public java.time.LocalDateTime[] getArrayOfLocalDateTimes(String column)

      Get an array of value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value

    - #### getLocalDateTimeArray

          @Deprecated
          public java.time.LocalDateTime[] getLocalDateTimeArray(String column)

      Deprecated.
      Get an array of value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value

    - #### getArrayOfOffsetTimes

          public java.time.OffsetTime[] getArrayOfOffsetTimes(String column)

      Get an array of value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value

    - #### getOffsetTimeArray

          @Deprecated
          public java.time.OffsetTime[] getOffsetTimeArray(String column)

      Deprecated.
      Get an array of value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value

    - #### getArrayOfOffsetDateTimes

          public java.time.OffsetDateTime[] getArrayOfOffsetDateTimes(String column)

      Get an array of value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value

    - #### getOffsetDateTimeArray

          @Deprecated
          public java.time.OffsetDateTime[] getOffsetDateTimeArray(String column)

      Deprecated.
      Get an array of value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value

    - #### getArrayOfUUIDs

          public UUID[] getArrayOfUUIDs(String column)

      Get an array of value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value

    - #### getUUIDArray

          @Deprecated
          public UUID[] getUUIDArray(String column)

      Deprecated.
      Get an array of value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value

    - #### getArrayOfBigDecimals

          public BigDecimal[] getArrayOfBigDecimals(String column)

      Get an array of value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value

    - #### getBigDecimalArray

          @Deprecated
          public BigDecimal[] getBigDecimalArray(String column)

      Deprecated.
      Get an array of value for the given `column`.
      Parameters:
        `column` - the column name
      Returns:
        the `column` value

    - #### getArrayOfJsons

          public Object[] getArrayOfJsons(String column)

      Get an array of JSON elements for the given `column`, the element might be `#JSON_NULL null` or one of the following types:
      - String
      - Number
      - JsonObject
      - JsonArray
      - Boolean
      Parameters:
        `column` - the column name
      Returns:
        the `column` value

    - #### newInstance

          public static Row newInstance(Row arg)

Copyright © 2021 Eclipse. All rights reserved.